Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class PropertyMapMultiValueTableEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.editors.MultiValueEditor
                              |
                              +--com.togethersoft.openapi.ide.inspector.util.editors.PropertyMapMultiValueTableEditor

public class PropertyMapMultiValueTableEditor
extends MultiValueEditor

Represents the editor for the PropertyMap as the table. In this class value is a PropertyMap of Strings.

Author:
  TogetherSoft
See Also: MultiplePropertyMapInspectorProperty

Field Summary
`final static String` | `MULTI_VALUE_PROPERTY_NAME`

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.MultiValueEditor
`myValuesVector`

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`MEDIUM_DIMENSION, panel, SMALL_DIMENSION`

Constructor Summary
`PropertyMapMultiValueTableEditor(String propertyName)` Creates this editor for the certain property.

Method Summary
`String` | `convertValueToString(Object value)` Convert given PropertyMap to the String representation.
`protected MultiValueUI` | `getUI()`
`Object` | `getValue()` Returns value of this editor.
`void` | `setValue(Object value)` Sets specified value to the editor.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.MultiValueEditor
`convertAtomicValueToString, convertStringToAtomicValue, doAction, editingCanceled, editingStopped, filterValues`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
`getChooserType, getInnerEditor`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCustomEditor, init, removeCellEditorListener, setAlignment, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`isPaintable, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Field Detail

### MULTI_VALUE_PROPERTY_NAME

    public final static String MULTI_VALUE_PROPERTY_NAME

Constructor Detail

### PropertyMapMultiValueTableEditor

    public PropertyMapMultiValueTableEditor(String propertyName)

  Creates this editor for the certain property.
  Parameters:
    propertyName - property for which this editor will be created

Method Detail

### convertValueToString

    public String convertValueToString(Object value)

  Convert given PropertyMap to the String representation.
  Returns: converted PropertyMap, or the empty String if given value is not PropertyMap or equals to null.

### getUI

    protected MultiValueUI getUI()

### getValue

    public Object getValue()

  Returns value of this editor.

### setValue

    public void setValue(Object value)

  Sets specified value to the editor.
  Parameters:
    value - is instance of PropertyMap

Association Links

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD